<?php

namespace DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Factory;

use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Infrastructure\Service\Dependency\Resolver\Abstraction\DependencyResolverInterface;
use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Entity\Export;
/**
 * Class ImportFactory, import factory class.
 *
 * @package WPDesk\Library\DropshippingExport\Factory
 */
class ExportFactory
{
    /**
     * @var DependencyResolverInterface
     */
    private $resolver;
    public function __construct(DependencyResolverInterface $dependency_resolver)
    {
        $this->resolver = $dependency_resolver;
    }
    public function create(array $properties): Export
    {
        $entity = $this->resolver->resolve(Export::class);
        $entity->update($properties);
        return $entity;
    }
}
